#include<iostream>
using namespace std;
long long br(long long a, long long b, long long c)
{
    long long broj=0,j=1,k=1;
    for(long long i=1; i<=b; i*=10) j*=10;
    for(long long i=1; i<=c; i*=10) k*=10;
    broj=a*j*k+b*k+c;
    return broj;
}
int main()
{
    long long a,b,c,m=1,n=1,p=1;
    cin>>a>>b>>c;
    for(long long i=1; i<=a; i*=10) m*=10;
    for(long long i=1; i<=b; i*=10) n*=10;
    for(long long i=1; i<=c; i*=10) p*=10;
    if(a!=m && b!=n && c!=p)
    {
        if(m<n) swap(m,n), swap(a,b);
        if(m<p) swap(m,p), swap(a,c);
        if(n<p) swap(n,p), swap(b,c);
        long long q=m-a,r=n-b,s=p-c;
        r*=m/n;
        s*=m/p;
        if(q>r) swap(a,b);
        if(q>s) swap(a,c);
        if(r>s) swap(b,c);
    }
    if(a*10==m && b*10==n && c*10==p)
    {
        if(a>b) swap(a,b);
        if(a>c) swap(a,c);
        if(b>c) swap(b,c);
    }
    cout<<br(a,b,c)<<endl;
}